summaryrefslogtreecommitdiffstats
path: root/test/units/end.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/units/end.sh')
-rwxr-xr-xtest/units/end.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/units/end.sh b/test/units/end.sh
new file mode 100755
index 0000000..230b716
--- /dev/null
+++ b/test/units/end.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+
+set -eux
+set -o pipefail
+
+(! journalctl -q -o short-monotonic --grep "didn't pass validation" >>/failed)
+
+# Here, the redundant '[.]' at the end is for making not the logged self command hit the grep.
+(! journalctl -q -o short-monotonic --grep 'Attempted to close sd-bus after fork whose connection is opened before the fork, this should not happen[.]' >>/failed)
+
+systemctl poweroff --no-block
+exit 0